List Application Offers
curl --request GET \
--url https://api.lendflow.com/api/applications/{application_id}/offers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_types": null,
"application_id": null,
"workflow_stage_id": "6ff8f7f6-1eb3-3525-be4a-3932c805afed"
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/offers"
payload = {
"product_types": None,
"application_id": None,
"workflow_stage_id": "6ff8f7f6-1eb3-3525-be4a-3932c805afed"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product_types: null,
application_id: null,
workflow_stage_id: '6ff8f7f6-1eb3-3525-be4a-3932c805afed'
})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"application_id": "6715a112-0fa4-4403-8929-e91a9bc3db86",
"status": null,
"status_date": null,
"status_updated_via_borrower_platform": false,
"mca_track_id": null,
"created_at": null,
"updated_at": null,
"funded_date": null,
"client_url": null,
"is_shared": false,
"viewed_at": null,
"is_legacy": true,
"details": {
"id": null,
"offer_id": null,
"offer": {
"base_rate": 1,
"term_length": 0,
"total_initial_payment": 0,
"number_of_payments": 0,
"funded_amount": 0
},
"closing": null,
"created_at": null,
"updated_at": null,
"offer_template_id": "01958b10-0d3c-73d4-99a1-148aece7409d",
"offer_template": {
"id": "01958b10-0d3c-73d4-99a1-148aece7409d",
"name": "ARLOC",
"description": null,
"product": "arloc",
"is_enabled": true,
"is_default": true,
"is_fallback": true,
"funder_id": null,
"client_id": null,
"created_at": "2025-03-12T15:53:59.000000Z",
"updated_at": "2026-10-08T15:42:24.000000Z"
}
},
"offer_details": [],
"closing_details": [],
"has_closing_details": false
},
{
"id": null,
"application_id": "95cc3329-4f81-426b-b4fa-c874e8fef13b",
"status": null,
"status_date": null,
"status_updated_via_borrower_platform": false,
"mca_track_id": null,
"created_at": null,
"updated_at": null,
"funded_date": null,
"client_url": null,
"is_shared": false,
"viewed_at": null,
"is_legacy": true,
"details": {
"id": null,
"offer_id": null,
"offer": {
"base_rate": 1,
"term_length": 0,
"total_initial_payment": 0,
"number_of_payments": 0,
"funded_amount": 0
},
"closing": null,
"created_at": null,
"updated_at": null,
"offer_template_id": "01958b10-0d3c-73d4-99a1-148aece7409d",
"offer_template": {
"id": "01958b10-0d3c-73d4-99a1-148aece7409d",
"name": "ARLOC",
"description": null,
"product": "arloc",
"is_enabled": true,
"is_default": true,
"is_fallback": true,
"funder_id": null,
"client_id": null,
"created_at": "2025-03-12T15:53:59.000000Z",
"updated_at": "2026-10-08T15:42:24.000000Z"
}
},
"offer_details": [],
"closing_details": [],
"has_closing_details": false
}
]
}Offers
List Application Offers
Returns a paginated list of the offers on an application. Results can be narrowed to the offers belonging to a specific workflow stage.
GET
/
api
/
applications
/
{application_id}
/
offers
List Application Offers
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": null,
"application_id": "6715a112-0fa4-4403-8929-e91a9bc3db86",
"status": null,
"status_date": null,
"status_updated_via_borrower_platform": false,
"mca_track_id": null,
"created_at": null,
"updated_at": null,
"funded_date": null,
"client_url": null,
"is_shared": false,
"viewed_at": null,
"is_legacy": true,
"details": {
"id": null,
"offer_id": null,
"offer": {
"base_rate": 1,
"term_length": 0,
"total_initial_payment": 0,
"number_of_payments": 0,
"funded_amount": 0
},
"closing": null,
"created_at": null,
"updated_at": null,
"offer_template_id": "01958b10-0d3c-73d4-99a1-148aece7409d",
"offer_template": {
"id": "01958b10-0d3c-73d4-99a1-148aece7409d",
"name": "ARLOC",
"description": null,
"product": "arloc",
"is_enabled": true,
"is_default": true,
"is_fallback": true,
"funder_id": null,
"client_id": null,
"created_at": "2025-03-12T15:53:59.000000Z",
"updated_at": "2026-10-08T15:42:24.000000Z"
}
},
"offer_details": [],
"closing_details": [],
"has_closing_details": false
},
{
"id": null,
"application_id": "95cc3329-4f81-426b-b4fa-c874e8fef13b",
"status": null,
"status_date": null,
"status_updated_via_borrower_platform": false,
"mca_track_id": null,
"created_at": null,
"updated_at": null,
"funded_date": null,
"client_url": null,
"is_shared": false,
"viewed_at": null,
"is_legacy": true,
"details": {
"id": null,
"offer_id": null,
"offer": {
"base_rate": 1,
"term_length": 0,
"total_initial_payment": 0,
"number_of_payments": 0,
"funded_amount": 0
},
"closing": null,
"created_at": null,
"updated_at": null,
"offer_template_id": "01958b10-0d3c-73d4-99a1-148aece7409d",
"offer_template": {
"id": "01958b10-0d3c-73d4-99a1-148aece7409d",
"name": "ARLOC",
"description": null,
"product": "arloc",
"is_enabled": true,
"is_default": true,
"is_fallback": true,
"funder_id": null,
"client_id": null,
"created_at": "2025-03-12T15:53:59.000000Z",
"updated_at": "2026-10-08T15:42:24.000000Z"
}
},
"offer_details": [],
"closing_details": [],
"has_closing_details": false
}
]
Was this page helpful?